#
# spec file for package python-grpc-google-iam-v1
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-grpc-google-iam-v1
Version:        0.14.0
Release:        1.1
Summary:        GRPC library for the google-iam-v1 service
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/googleapis/python-grpc-google-iam-v1
Source:         https://files.pythonhosted.org/packages/source/g/grpc_google_iam_v1/grpc_google_iam_v1-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-googleapis-common-protos >= 1.56.0
Requires:       python-grpcio >= 1.44.0
Requires:       python-protobuf >= 3.20.2
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module googleapis-common-protos >= 1.56.0}
BuildRequires:  %{python_module grpcio >= 1.44.0}
# /SECTION
%python_subpackages

%description
GRPC library for the google-iam-v1 service

%prep
%setup -q -n grpc_google_iam_v1-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

# No tests included in source tarball

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/google/iam/
%{python_sitelib}/grpc_google_iam_v1-%{version}.dist-info

%changelog
* Mon Jan 20 2025 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update to 0.14.0
  * Add `google.iam.v1.resource_policy_member_pb2` (2e1af7c)
  * Add support for Python 3.13 (2e1af7c)
- Adjust upstream source name in spec file
* Mon Jul 15 2024 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update to 0.13.1
  * **deps:** Require protobuf >= 3.20.2, protobuf < 6 (ac15e1c)
  * Regenerate pb2 files for compatibility with protobuf 5.x (ac15e1c)
* Mon Feb 26 2024 Robert Schweikert <rjschwei@suse.com>
- Include in SLE 15 SP4 and later (jsc#PED-6697)
* Wed Jan  3 2024 Dirk Müller <dmueller@suse.com>
- require setuptools
* Sat Dec 16 2023 Dirk Müller <dmueller@suse.com>
- update to 0.13.0:
  * Add support for Python 3.12 (#64)
  * Introduce compatibility with native namespace packages (#59)
* Tue Dec  5 2023 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update to 0.12.7
  * Add classifier for python 3.11 (#31)
- from version 0.12.6
  * **deps:** Allow protobuf >= 3.19.5 (1044946)
- from version 0.12.5
  * Require python 3.7+ (#8)
* Fri Sep  9 2022 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update to 0.12.4:
  * chore: release 0.12.4
  * chore: add license headers
  * fix: regenerate pb2 using latest protos
- Update BuildRequires and Requires from setup.py
* Thu Sep 12 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.12.3:
  * no upstream changelog
* Mon Feb 18 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.11.4
